Subject: Replacing strbuf_getline_lf() by strbuf_getline() in wt-status.c

From: Moritz Neeb <[email-masked]>
Date: Sat, 30 Jan 2016 15:30:46 +0100

Currently I am working on replacing strbuf_getline_lf() by
strbuf_getline() in places where the input is trimmed immediately after
reading, cf. $gmane/284104, "Notes on the remaining strbuf_getline_lf()
callers", 2nd point.

One instance I found was in wt-status.c. In read_rebase_todolist() the
lines are read, checked for a comment_line_char and then trimmed. I
wonder why the input is not trimmed before checking for this character?
Is it safe to replace strbuf_getline_lf() by strbuf_getline() anyway?

The only case I can imagine that could lead to unexpected behaviour then
would be when someone sets the comment_line_char to CR. How likely is that?

Why is the trim after checking for the comment char anyway? Should
something like "   # foobar" not be considered as comment?